function HiddenSummaryField(container) {

	var showSummaryField = container.find("[name=vmAutoSummary]").val() === "true";
	
	function noSummaryField() {
	    clearSummaryFieldIfHasDefaultString();
	    if (showSummaryField) {
	        hideLocalSummaryField();
	    }
	}

	function clearSummaryFieldIfHasDefaultString() {
		var field = container.find("input#summary");
        field.val().valueOf() === "Vacation Document" ? field.val("") : void 0;
	}

	function hideLocalSummaryField() {
	    var summaryField = container.find("input#summary");
	    summaryField.val("Vacation Document");
	    summaryField.parent().hide();
	}
	
	noSummaryField();
	
}
