function IssueScreenListener() {

	var fieldObjects = [];
	var googleChartsInited = false

	function initChart() {
	    if (googleChartsInited == false) {
	        googleChartsInited = true;
	        google.charts.load('current', {
	            'packages' : [ 'corechart' ]
	        });
	    }
	}
	
	function findNewIssueDialogBody(chartElement) {
		return chartElement.closest(".form-body");
	}

	function findNewChart() {
	    initChart();
	    AJS.$("[name=vm_chart]").each(function() {
	        var obj = AJS.$(this);
	        if (obj.attr("inited") == "false") {
	            obj.attr("inited", "true");	            
	            var dialogBody = findNewIssueDialogBody(obj);
	            fieldObjects.map(function(objectToCreate) {
	            	new objectToCreate(dialogBody, new IssueContainerUtils(dialogBody));
            	});
	        }
	    });
	}
	
	function listenForNewIssueDialog(fieldObjectsToCreate) {
		fieldObjects = fieldObjectsToCreate;
		
		AJS.$(document).ready(function() {
		    findNewChart();
		    JIRA.bind(JIRA.Events.NEW_CONTENT_ADDED, function(e, context, reason) {
		        if (reason == 'dialogContentReady' || reason == 'dialogReady') {
		            findNewChart();
		        }
		    });
		});
	}
	
	return {listenForNewIssueDialog:listenForNewIssueDialog};
	
}
